# $Id: e-smith-ingo.spec,v 1.1 2016/02/05 22:46:38 stephdl Exp $

Summary: smeserver specific INGO configuration and templates.
%define name smeserver-ingo
Name: %{name}
%define version 2.6.0
%define release 4
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Networking/Daemons
Source: %{name}-%{version}.tar.xz
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
Requires: imp-h3 >= 4.2
Requires: ingo-h3 >= 1.2
Requires: e-smith-base >= 4.15.1
Requires: e-smith-apache >= 1.1.0-18
Requires: e-smith-lib >= 1.15.1-16
Requires: php
BuildRequires: e-smith-devtools >= 1.13.1-03
AutoReqProv: no
Obsoletes: smeserver-ingo-menuarray

%changelog 
* Thu Apr 04 2024 Brian Read <brianr@koozali.org> 2.6.0-4.sme
- Set license file to GPL2.0  [SME: 12577]

* Mon Mar 11 2024 rename-e-smith-pkg.sh by Trevor Batley <trevor@batley.id.au> 2.6.0-3.sme
- Rename to smeserver-ingo [SME: 12359]

* Wed Jul 12 2023 cvs2git.sh aka Brian Read <brianr@koozali.org> 2.6.0-2.sme
- Roll up patches and move to git repo [SME: 12338]

* Wed Jul 12 2023 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.

* Fri Feb 05 2016 stephane de Labrusse <stephdl@de-labrusse.fr> 2.6.0-1.sme
- Initial release to sme10

* Wed Feb 13 2013 Shad L. Lords <slords@mail.com> 2.4.0-1.sme
- Roll new stream for sme9

* Sun Nov 07 2010 John H. Bennett III <bennettj@johnbennettservices.com> 2.2.0-5
- Update e-smith-ingo templates to reflect changes in Ingo 1.2.5 [SME: 6352]

* Mon May 10 2010 John H. Bennett III <bennettj@johnbennettservices.com> 2.2.0-4
- Update e-smith-ingo templates to reflect changes in Ingo 1.2.4 [SME: 5940]

* Sat Feb 13 2010 John H. Bennett III <bennettj@johnbennettservices.com> 2.2.0-3
- Update e-smith-ingo templates to reflect changes in Ingo 1.2.3 [SME: 5777]

* Tue Oct 13 2009 John H. Bennett III <bennettj@johnbennettservices.com> 2.2.0-2
- Update e-smith-ingo templates to reflect changes in Ingo 1.2.2 [SME: 5511]

* Tue Oct 7 2008 Shad L. Lords <slords@mail.com> 2.2.0-1.sme
- Roll new stream to separate sme7/sme8 trees [SME: 4633]

* Tue Sep 16 2008 John H. Bennett III <bennettj@johnbennettservices.com> 1.2-2    
- Update to e-smith-ingo templates to reflect changes in Ingo 1.2.1 [SME: 4568]

* Wed Jun 18 2008 John H. Bennett III <bennettj@johnbennettservices.com> 1.2-1    
- Initial production build

* Sat May 24 2008 John H. Bennett III <bennettj@johnbennettservices.com> 1.2-02
- Updated to include changes in Ingo 1.2 RC3
- Re-rolled tarball

* Thu Apr 10 2008 John H. Bennett III <bennettj@johnbennettservices.com> 1.2-01
- Initial build
- Jump in package name to reflect new version of ingo

Provides: e-smith-ingo
%description
This package adds necessary templates and configuration items
so that INGO will work properly on SME Server	

%prep
%setup

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
echo "%doc COPYING"          >> %{name}-%{version}-filelist

%clean 
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
